| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 > Struct Template Reference

A variable implementation that stores operands and derivatives with respect to the variable. More...

`#include <OperandsAndPartials.hpp>`

## Public Types
typedef stan::partials_return_type< T1, T2, T3, T4, T5, T6 >::type | T_partials_return
typedef stan::return_type< T1, T2, T3, T4, T5, T6 >::type | T_return_type

## Public Member Functions
| OperandsAndPartials (const T1 &x1=0, const T2 &x2=0, const T3 &x3=0, const T4 &x4=0, const T5 &x5=0, const T6 &x6=0)
T_return_type | to_var (T_partials_return logp, const T1 &x1=0, const T2 &x2=0, const T3 &x3=0, const T4 &x4=0, const T5 &x5=0, const T6 &x6=0)

## Public Attributes
size_t | nvaris
vari ** | all_varis
T_partials_return * | all_partials
VectorView< T_partials_return, is_vector< T1 >::value, is_constant_struct< T1 > ::value > | d_x1
VectorView< T_partials_return, is_vector< T2 >::value, is_constant_struct< T2 > ::value > | d_x2
VectorView< T_partials_return, is_vector< T3 >::value, is_constant_struct< T3 > ::value > | d_x3
VectorView< T_partials_return, is_vector< T4 >::value, is_constant_struct< T4 > ::value > | d_x4
VectorView< T_partials_return, is_vector< T5 >::value, is_constant_struct< T5 > ::value > | d_x5
VectorView< T_partials_return, is_vector< T6 >::value, is_constant_struct< T6 > ::value > | d_x6

## Static Public Attributes
static const bool | all_constant = is_constant<T_return_type>::value

## Detailed Description

### template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>
struct stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >

A variable implementation that stores operands and derivatives with respect to the variable.

Definition at line 238 of file OperandsAndPartials.hpp.

## Member Typedef Documentation

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

typedef stan::partials_return_type<T1, T2, T3, T4, T5, T6>::type stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::T_partials_return

Definition at line 241 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

typedef stan::return_type<T1, T2, T3, T4, T5, T6>::type stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::T_return_type

Definition at line 244 of file OperandsAndPartials.hpp.

## Constructor & Destructor Documentation

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::OperandsAndPartials | ( | const T1 & | x1 = `0`,
|  | const T2 & | x2 = `0`,
|  | const T3 & | x3 = `0`,
|  | const T4 & | x4 = `0`,
|  | const T5 & | x5 = `0`,
|  | const T6 & | x6 = `0`
| ) |  |
| inline

Definition at line 270 of file OperandsAndPartials.hpp.

## Member Function Documentation

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

T_return_type stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::to_var | ( | T_partials_return | logp,
|  | const T1 & | x1 = `0`,
|  | const T2 & | x2 = `0`,
|  | const T3 & | x3 = `0`,
|  | const T4 & | x4 = `0`,
|  | const T5 & | x5 = `0`,
|  | const T6 & | x6 = `0`
| ) |  |
| inline

Definition at line 322 of file OperandsAndPartials.hpp.

## Member Data Documentation

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

const bool stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::all_constant = is_constant<T_return_type>::value
| static

Definition at line 246 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

T_partials_return* stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::all_partials

Definition at line 249 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

vari** stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::all_varis

Definition at line 248 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T1>::value, is_constant_struct<T1>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x1

Definition at line 253 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T2>::value, is_constant_struct<T2>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x2

Definition at line 256 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T3>::value, is_constant_struct<T3>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x3

Definition at line 259 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T4>::value, is_constant_struct<T4>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x4

Definition at line 262 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T5>::value, is_constant_struct<T5>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x5

Definition at line 265 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

VectorView<T_partials_return, is_vector<T6>::value, is_constant_struct<T6>::value> stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::d_x6

Definition at line 268 of file OperandsAndPartials.hpp.

template<typename T1 = double, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

size_t stan::math::OperandsAndPartials< T1, T2, T3, T4, T5, T6 >::nvaris

Definition at line 247 of file OperandsAndPartials.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/OperandsAndPartials.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.